Subject: Re: bug#18451: 24.4.50; 'toggle-frame-fullscreen' can cut off minibuffer

From: Matthew Leach <[email-masked]>
Date: Fri, 19 Sep 2014 11:22:17 +0100

Jan Djärv <[email-masked]> writes:

> 18 sep 2014 kl. 14:41 skrev martin rudalics <[email-masked]>:
>
>> In any case, the problem could be due to the following:
>> 
>> (1) Due to some non-textual settings (scroll bar, divider, border width)
>>    we ask the window manager for a frame height which is _not_ an
>>    integral multiple of the nominal character height.  At the same time
>>    we ask the window manager to store that nominal height as the
>>    canonical height by which frame height change increments should be
>>    allowed.
>> 
>> (2) The window manager (sometimes) decides that our resize request is
>>    impudent and overrules it by sending us a size that fits the nominal
>>    height settings.
>> 
>> Jan is our hints expert.  Maybe he has an idea.
>
>
> Basically yes.  But with Gtk+ there is an additional complication.
> Gtk tries to force the height increments itself if it finds that they
> aren't met, by resizing windows.  By setting resize pixelwise all
> hints are basically off so nothing of this happens.  An idea would be
> to turn hints off if we are going fullsize.

That sounds like a good idea, but I sometimes see the same problem when
coming out of full-screen mode (see attached).  We'd need to disable
hints for enabling and disabling full-screen, would that work?
-- 
Matt